gnutls_x509_crq_get_subject_alt_othername_oid(3)

NAME
gnutls_x509_crq_get_subject_alt_othername_oid - Get SAN otherName OID

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_subject_alt_othername_oid(gnutls_x509_crq_t cert, unsigned int seq, void * ret, size_t * ret_size);

ARGUMENTS

gnutls_x509_crq_t cert
    should contain a gnutls_x509_crq_t structure

unsigned int seq
    specifies the sequence number of the alt name (0 for the first one, 1 for the second etc.)

void * ret
    is the place where the otherName OID will be copied to

size_t * ret_size
    holds the size of ret.

DESCRIPTION
This function will extract the type OID of an otherName Subject Alternative Name, contained in the given certificate, and return the type as an enumerated element. This function is only useful if gnutls_x509_crq_get_subject_alt_name() returned GNUTLS_SAN_OTHERNAME.

RETURNS
the alternative subject name type on success, one of the enumerated gnutls_x509_subject_alt_name_t. For supported OIDs, it will return one of the virtual (GNUTLS_SAN_OTHERNAME_*) types, e.g. GNUTLS_SAN_OTHERNAME_XMPP, and GNUTLS_SAN_OTHERNAME for unknown OIDs. It will return GNUTLS_E_SHORT_MEMORY_BUFFER if ret_size is not large enough to hold the value. In that case ret_size will be updated with the required size. If the certificate does not have an Alternative name with the specified sequence number and with the otherName type then GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.